Test::Int::Cumulative Namespace Reference

Tests for cumulative scheduling constraints. More...

## Classes

class | ManFixPCumulative
| Test for cumulative constraint with mandatory tasks. More...
class | OptFixPCumulative
| Test for cumulative constraint with optional tasks. More...
class | ManFlexCumulative
| Test for cumulative constraint with flexible mandatory tasks. More...
class | OptFlexCumulative
| Test for cumulative constraint with optional flexible tasks. More...
class | Create
| Help class to create and register tests. More...

## Variables

Create | c

## Detailed Description

Tests for cumulative scheduling constraints.

## Variable Documentation

## c

Create Test::Int::Cumulative::c

Definition at line 579 of file cumulative.cpp.